9

I am trying to use the IEEEtrantools package using the following command:

\usepackage[retainorgcmds]{IEEEtrantools}

but get the following error message:

File `IEEEtrantools.sty' not found. \usepackage

Any tips?

  • 1
    Seems to work for me using TeXLive2011. What are you using? – Peter Grill Sep 12 '11 at 12:50
  • I'm using miktex – Isaac Kleinman Sep 12 '11 at 22:55
  • You need to update your installation as it seems that you are missing this .sty which is part of the standard install. – Peter Grill Sep 13 '11 at 3:25
18

I always have this problem whenever I reinstall MikTeX, so I thought I would place what I learn each time here:

IEEEtrantools doesn't seem to work well with MikTeX's natural update approach. I have no idea why, and I'm certain they are aware of the problem, but it hasn't changed in the last few years.

There are two approaches to fixing this. Both require downloading IEEEtrantools.sty from http://www.ctan.org/tex-archive/macros/latex/contrib/IEEEtran/tools.

The first approach is to place IEEEtrantools.sty into the same folder that your *.tex file is located. This works fine, and is good when sharing with others over DropBox, but isn't really the long term solution.

The second approach requires going to the folder that MikTeX is located (i.e. C:\Program Files\MiKTeX 2.9). Inside this folder, go to the tex folder, and then the latex folder. Inside the latex folder, create a new folder called IEEEtran, and place IEEEtrantools.sty inside this folder (Final path [for me]: C:\Program Files\MiKTeX 2.9\tex\latex\IEEEtran\IEEEtrantools.sty)

You're NOT done yet! The final step is to shutdown MiKTeX (if it's open) and run the "Settings (Admin)" program. For me, this is located in the start menu, under "MiKTeX 2.9\Maintenance (Admin)". Inside this program click the button "Refresh FNDB", and you're done!

Serious pain in the rear, but you only have to do this once, and all of your tex files will properly use IEEEtrantools. Happy LaTeXing!!!

  • 1
    Thank you for this - it could have taken ages! An update. In Miktex 2.9 on Windows 7 the Refresh FNDB option is accessed through Maintenance(Admin)/Settings(Admin). Also on my system there was a folder ieetran already so I put IEEEtrantools.sty there which worked fine. – peter2108 Aug 31 '15 at 9:55
  • The same is true for the example .tex files such as bare_jrnl.tex and variants. MiKTeX\source\ieeetran-src.tar.bz2 does contain all those, yet they are not placed anywhere. – bers Jun 21 '16 at 16:27
  • Thank you for your post. I have the same issue of OP but this solution does not seem to work for me. The first discrepancy is that in my installation there was already a folder "ieeetran" so I could not create miktex\tex\latex\IEEEtran without either overriding the first or merging the two. Neither seems to work. What should I do? – Brightsun Sep 3 '16 at 17:23
  • I am using LaTeX in Linux terminal. How do add IEEEtranstools in linux? – Razin Dec 18 '16 at 6:37
  • 1
    Thanks a lot for the tutorial! Btw. important to use the Admin variant of the Miktex Settings app. Got this wrong the first time, then nothing changes. – srs Jan 5 '17 at 18:04
2

Using TeXLive 2011, the following seems to compile for me:

\documentclass{article}
\usepackage[retainorgcmds]{IEEEtrantools}
\usepackage{lipsum}
\begin{document}
\lipsum[1]
\end{document}

so there must be something wrong with you installation.

See this like for where to place the .sty file is Where do I place my own .sty or .cls files, to make them available to all my .tex files?

1

I believe this problem has been fixed by introduction of the ieeetrantools MiKTeX package:

The package provides several commands from the IEEEtran class file so that they can be used under other LaTeX classes; the package should not be used in a document that uses that parent class. The user guide only covers the ways in which usage differs from that in the parent class; thus the documentation of that class should be regarded as part of the documentation for the package.

https://miktex.org/packages/ieeetrantools

If your MiKTeX does not install the package on the fly, this may be because your package database is outdated, which is was for me (dated April 2018). In the MiKTeX console, go to Packages, click "Update DB", and proceed as you would with any other not-yet-installed package.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.